#pragma once
#ifndef BINARY_STAR_FUNCTIONS_PRESCRIPTIONS_H
#define BINARY_STAR_FUNCTIONS_PRESCRIPTIONS_H

#include "binary_star_functions_prescriptions.def"

#undef X
#define X(CODE,STRING) ACCRETION_LIMIT_##CODE,
enum { ACCRETION_LIMITS_LIST };
#undef X


#define X(CODE,STRING) DONOR_LIMIT_##CODE,
enum { DONOR_LIMITS_LIST };
#undef X

#define X(CODE) E2_##CODE,
enum { E2_LIST };
#undef X

#define X(CODE) TIDES_CONVECTIVE_DAMPING_##CODE,
enum { TIDES_CONVECTIVE_DAMPING_LIST };
#undef X

#define X(CODE) TIDES_ALGORITHM_##CODE,
enum { TIDES_ALGORITHM_LIST };
#undef X

#define X(CODE) GRAVITATIONAL_RADIATION_##CODE,
enum { GRAVITATIONAL_RADIATION_MODELS_LIST  };
#undef X





#endif // BINARY_STAR_FUNCTIONS_PRESCRIPTIONS_H
